### File

`packages/core/src/lib/components/atoms/euim-label/euim-label.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
HostDirectives | `BaseStatesDirective` Inputs : euimSizeXS euimSizeS euimSizeM euimSizeL euimSizeXL euimSize2XL euimSize3XL euimSize4XL color
selector | `div[euimLabel], p[euimLabel], span[euimLabel], euim-label`
styleUrls | `./styles/_index.scss`
template |
    <ng-content></ng-content>

### Index

###### Properties
Public baseStatesDirective
###### Methods
getCssClasses
###### Inputs
euimLabelMeta euimLabelSubTitle euimLabelTextWrap euimLabelTitle euimLabelTruncate euimLabelTruncateWithLines
###### HostBindings
class
###### Accessors
cssClasses

### Constructor

`constructor(baseStatesDirective: BaseStatesDirective)`
Parameters :
Name | Type | Optional
baseStatesDirective | `BaseStatesDirective` | No

### Inputs

euimLabelMeta
Type : `boolean`
Default value : `false`

euimLabelSubTitle
Type : `boolean`
Default value : `false`

euimLabelTextWrap
Type : `boolean`
Default value : `false`

euimLabelTitle
Type : `boolean`
Default value : `false`

euimLabelTruncate
Type : `boolean`
Default value : `false`

euimLabelTruncateWithLines
Type : `number`

### HostBindings

class
Type : `string`

### Methods

getCssClasses
`getCssClasses()`
Returns : `string`

### Properties

Public baseStatesDirective
Type : `BaseStatesDirective`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""